Recurring - Create a Recurring Purchase

Setup and process a recurring credit/debit card sale

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

The following parameters are available to setup and process a recurring credit/debit card sale.

parameterdescriptionrequired
midthe merchant id assigned by USER.COMPANY_NAME or your merchant service provider (MSP)Yes
toptType Of Payment Transaction - set a value to simply tag and/or route a transaction to a pre-defined provider.No
reference_idA reference id that will be echo'd back in the message response.No
amountthe total amount to process and set as a recurring purchaseYes
service_chargethe amount of the total sum of this transaction that is made up of the service_chargeNo
creditcardthe credit card number -or- card tokenYes
monththe card expiration monthYes
yearthe card expiration yearYes
cvvthe card verification valueYes
cardfullnamethe name printed or embossed on the front of the credit cardYes if store_card value is true
baddressthe card billing street addressNo
baddress2the card billing street 2 addressNo
bcitythe card billing city nameNo
bstatethe card billing state codeNo
bzipthe card billing zip codeYes
bcountrythe card billing country codeNo
currencyThe currency to process. Defaults to USD if no value providedNo
invoiceidthe merchant invoice id associated with the saleNo
orderidunique merchant order tracking numberYes
ipaddressThe IP address of the client or server sending the requestNo
cfirstnamethe customer first nameNo
clastnamethe customer last nameNo
cemailthe customer email addressNo
cphonethe customer phone numberNo
risk_scorerisk score associated to this transaction (* if you are using a risk prevention system)No
store_cardif true will store card in the USER.COMPANY_NAME Secure Vault and return a card tokenNo
recur_everyrecurring plan period:
1 = weekly
2 = monthly
3 = quarterly
5 = annual
6 = bi-weekly
Yes
recur_startrecurring plan start date (mmddyyyy)Yes
recur_occurrenceshow many times to run recurring amountYes
JSON Example

The following JSON example provides test values to process a swiped card. You can copy and paste these values in the Body Params section above to be used by the Try It feature

{
  "transaction_data": {
    "mid": "887728202",
    "amount": "1.5",
    "creditcard": "5544044490909090",
    "cvv": "123",
    "month": "04",
    "year": "19",
    "bzip": "92382",
    "cardfullname": "Crypto Kings LLC",
    "currency": "USD",
    "invoiceid": "INV-123332",
    "orderid": "193383",
    "ipaddress": "0.0.0.0",
    "baddress": "18312 All View Dr.",
    "baddress2": "Apt 207",
    "bcity": "Running Springs",
    "bstate": "CA",
    "bcountry": "US",
    "cfirstname": "Russell",
    "clastname": "Hanneman",
    "cemail": "[email protected]",
    "cphone": "1-344-877-8928",
    "cwebaddress": "example.com",
    "recur_every": "2",
    "recur_start": "01202019",
    "recur_occurrences": "6"
  }
}

Response Codes

Body Params
transaction_data
object
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json